FreeMat

- Main Page
- Related Pages

vtkStringToCategory

Section: Visualization Toolkit Infovis Classes

# Usage

vtkStringToCategory creates an integer array named "category" based on the values in a string array. You may use this filter to create an array that you may use to color points/cells by the values in a string array. Currently there is not support to color by a string array directly. The category values will range from zero to N-1, where N is the number of distinct strings in the string array. Set the string array to process with SetInputArrayToProcess(0,0,0,...). The array may be in the point, cell, or field data of the data object.

To create an instance of class vtkStringToCategory, simply invoke its constructor as follows

      obj = vtkStringToCategory

# Methods

The class vtkStringToCategory has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkStringToCategory class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkStringToCategory = obj.NewInstance ()`
- `vtkStringToCategory = obj.SafeDownCast (vtkObject o)`
- `obj.SetCategoryArrayName (string )` - The name to give to the output vtkIntArray of category values.
- `string = obj.GetCategoryArrayName ()` - The name to give to the output vtkIntArray of category values.